Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO] /sbin/ldconfig: segnala errore!

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO] /sbin/ldconfig: segnala errore!

Messaggioda slucky » sab ott 13, 2012 23:53

la 14 va bene, però al boot del sistema mi appare questo messaggio di errore:

/sbin/ldconfig: Impossibile fare mmap del file /usr/lib/libnplds4.so


consigli per fixare? :-k
Ultima modifica di slucky il ven ott 26, 2012 20:38, modificato 2 volte in totale.
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce

Re: /sbin/ldconfig: segnala errore!

Messaggioda gohanz » dom ott 14, 2012 7:36

Il file appartiene a mozilla-nss, prova a reinstallare il pacchetto.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: /sbin/ldconfig: segnala errore!

Messaggioda slucky » dom ott 14, 2012 14:19

Gohanz, l'ho reinstallato, ma ora se provo a dare il comando /sbin/ldconfig mi restituisce :

bash-4.2# /sbin/ldconfig
/sbin/ldconfig: Impossibile fare mmap del file /usr/lib/libnplds4.so

/sbin/ldconfig: /usr/lib/libssl3.so non è un collegamento simbolico

/sbin/ldconfig: /usr/lib/libnssutil3.so non è un collegamento simbolico

/sbin/ldconfig: /usr/lib/libnss3.so non è un collegamento simbolico

/sbin/ldconfig: /usr/lib/libnspr4.so non è un collegamento simbolico

/sbin/ldconfig: /usr/lib/libplds4.so non è un collegamento simbolico

/sbin/ldconfig: /usr/lib/libsmime3.so non è un collegamento simbolico

/sbin/ldconfig: /usr/lib/libplc4.so non è un collegamento simbolico


:shock: forse che ho scaricato una versione della 14....diciamo bacata? :roll:
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce

Re: /sbin/ldconfig: segnala errore!

Messaggioda gohanz » dom ott 14, 2012 18:54

Quell'errore era causato dal primo pacchetto di Goggle-Chrome uscito su Slacky per la 14.0. Ora quel problema è stato risolto. Dovresti solo aggiornare il pacchetto di Goggle-Chrome. In sintesi il primo pacchetto, che era stato pensato per la 13,37 creava dei link a delle librerie presenti in seamonkey-solibs. Ora, sulla 14.0, quello librerie vengono installate direttamente dal pacchetto mozilla-nss.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: /sbin/ldconfig: segnala errore!

Messaggioda slucky » lun ott 15, 2012 0:33

ok, grazie Gohanz, infatti installando l'aggiornamento di google-chrome, quei messaggi di errore sono spariti, però è rimasto l'errore originario, pur reinstallando il pacchetto mozilla-nss, ldconfig continua a darmi questo errore:

/sbin/ldconfig: Impossibile fare mmap del file /usr/lib/libnplds4.so


ho provato varie opzioni, leggendo il man, per aggiornare i links, ma niente...... forse il pacchetto va ricompilato? manca qualche opzione al configure che crea quella libreria? :roll:
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce

Re: /sbin/ldconfig: segnala errore!

Messaggioda gohanz » lun ott 15, 2012 7:18

Quella sembra una libreria di Firefox. Prova ache a reinstallre il pacchetto di Firefox.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: /sbin/ldconfig: segnala errore!

Messaggioda slucky » sab ott 20, 2012 11:31

Gohanz, fatto anche quello, ma l'errore resta.....qualche altra idea per fixare? :roll:
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce

Re: /sbin/ldconfig: segnala errore!

Messaggioda slucky » gio ott 25, 2012 21:16

in mozilla-nss e in firefox troviamo questa libreria: /usr/lib/libplds4.so
ma il file mancante è /usr/lib/libnplds4.so e linkando non funziona
googlando, ho trovato solo una voce, in cui l'autore del post, tra l'altro su una vecchia versione di ubuntu, fixava il problema linkando:

sudo ln -s /usr/lib/libplds4.so.0d /usr/lib/libnplds4.so


ma in quale pacchetto si trova questa libreria? possibile poi che nessun altro utente della 14 abbia avuto questo problema? :?
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce

Re: /sbin/ldconfig: segnala errore!

Messaggioda slucky » gio ott 25, 2012 21:55

allora, credo si tratti di un bug di seamonkey e seamonkey-solibs, l'installazione non crea quella libreria e ldconfig mi segnala l'errore in bash ad ogni operazione da root.....cosa alquanto fastidiosa :?
rimossi i pacchetti, l'errore è sparito, ma forse qualcuno dovrebbe segnalarlo a Pat per fixare il problema per il futuro....

p.s: metto risolto al problema, anche se mi resta l'interrogativo....se fosse possibile fixare senza dover rimuovere i pacchetti...... :-k
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce


Torna a Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti

cron